# GlobMapper

Implements \FileNameMapper

Uses glob patterns to perform filename transformations.

author | Andreas Aderhold, andi@binarycloud.com
version | $Id: bbd21ce62611adac2da693d64941edf0272d7f72 $
package | phing.mappers

### Methods

## Extracts the variable part.

    extractVariablePart(string $name) : string

### Arguments

#### $name

`string`

### Response

`string`

## The mapper implementation.

    main(mixed $sourceFileName) : array|null

### Arguments

#### $sourceFileName

`mixed`

### Response

`array|null`

## Accessor. Sets the from property. What this mapper should recognize. The actual implementation is dependent upon the child class

    setFrom(string $from) : void

### Arguments

#### $from

`string`

## Sets the &quot;to&quot; pattern. Required.

    setTo(string $to) : void

### Arguments

#### $to

`string`

### Properties

## Part of &quot;from&quot; pattern before the <code>.*</code>.

    fromPrefix : string

var |

### Type(s)

`string`

## Part of &quot;from&quot; pattern after the <code>.*</code>.

    fromPostfix : string

var |

### Type(s)

`string`

## Length of the prefix (&quot;from&quot; pattern).

    prefixLength : integer

var |

### Type(s)

`integer`

## Length of the postfix (&quot;from&quot; pattern).

    postfixLength : integer

var |

### Type(s)

`integer`

## Part of &quot;to&quot; pattern before the <code>*.</code>.

    toPrefix : string

var |

### Type(s)

`string`

## Part of &quot;to&quot; pattern after the <code>*.</code>.

    toPostfix : string

var |

### Type(s)

`string`